Foxit PDF SDK

Public Member Functions | Static Public Member Functions | List of all members
FoxitPDFSDKPython2.PDFArray Class Reference
Inheritance diagram for FoxitPDFSDKPython2.PDFArray:

## Public Member Functions
def | AddBoolean (boolean_value)
| Add a boolean value to the end of current PDF array object. More...
def | AddDateTime (date_time)
| Add a date time to the end of current PDF array object. More...
def | AddElement (element)
| Add a PDF object to the end of current PDF array object. More...
def | AddFloat (float_value)
| Add a float value to the end of current PDF array object. More...
def | AddInteger (integer_value)
| Add an integer value to the end of current PDF array object. More...
def | AddMatrix (matrix)
| Add a matrix to the end of current PDF array object. More...
def | AddName (name)
| Add a string as PDF name object to the end of current PDF array object. More...
def | AddRect (rect)
| Add a rectangle to the end of current PDF array object. More...
def | AddReference (pdf_object, document)
| Set the reference object of an indirect PDF object (whose object number is always above 0) as value element. More...
def | AddString (new_string)
| Add a string as PDF string object to the end of current PDF array object. More...
def | GetElement (index)
| Get a specified element by index. More...
def | GetElementCount ()
| Get the count of elements. More...
def | InsertAt (index, element)
| Insert a PDF object to a specified position in current PDF array object. More...
def | RemoveAt (index)
| Remove an element in a specified position (by index) from current PDF array object. More...
def | SetAt (index, element)
| Set a new PDF object at a specified position in current PDF array object. More...
Public Member Functions inherited from FoxitPDFSDKPython2.PDFObject
def | CloneObject ()
| Clone current PDF object and get the cloned PDF object. More...
def | DeepCloneObject ()
| Clone current PDF object and get the cloned PDF object. More...
def | GetArray ()
| Get the PDF array object of current PDF object. More...
def | GetBoolean ()
| Get the boolean value of current PDF object. More...
def | GetDateTime ()
| Get the date time value of current PDF object. More...
def | GetDict ()
| Get the PDF dictionary object of current PDF object. More...
def | GetDirectObject ()
| Get the direct object of current PDF object. More...
def | GetFloat ()
| Get the float value of current PDF object. More...
def | GetInteger ()
| Get the integer value of current PDF object. More...
def | GetMatrix ()
| Get the matrix value of current PDF object. More...
def | GetName ()
| Get the name value of current PDF object. More...
def | GetObjNum ()
| Get the indirect object number of current PDF object. More...
def | GetRect ()
| Get the rectangle value of current PDF object. More...
def | GetStream ()
| Get the PDF stream object of current PDF object. More...
def | GetString ()
| Get the string value of current PDF object. More...
def | GetType ()
| Get the type of current PDF object. More...
def | GetWideString ()
| Get the wide string value of current PDF object. More...
def | IsIdentical (pdf_obj)
| Check if input PDF object is identical with current PDF object. More...
def | Release ()
| Release a newly created PDF object or a clone PDF object, which is not related to PDF document or other PDF object and will not be used any more. More...

## Static Public Member Functions
def | Create ()
| Create a new array object. More...
def | CreateFromMatrix (matrix)
| Create a new array object for a matrix. More...
def | CreateFromRect (rect)
| Create a new array object for a rectangle. More...
Static Public Member Functions inherited from FoxitPDFSDKPython2.PDFObject
def | CreateFromBoolean (boolean_value)
| Create a PDF object from a boolean value. More...
def | CreateFromDateTime (date_time)
| Create a PDF object from date time. More...
def | CreateFromFloat (float_value)
| Create a PDF object from a float number. More...
def | CreateFromInteger (integer_value)
| Create a PDF object from a integer number. More...
def | CreateFromName (name)
| Create a PDF object from a string which represents a name. More...
def | CreateFromNameW (name)
| Create a PDF object from a string which represents a name. More...
def | CreateFromString (string_value)
| Create a PDF object from string. More...
def | CreateFromString (string_value, length)
| Create a PDF object from string. More...
def | CreateReference (document, object_number)
| Create a reference for an indirect object. More...

## Additional Inherited Members
Static Public Attributes inherited from FoxitPDFSDKPython2.PDFObject
| e_Array = _fsdk.PDFObject_e_Array
| PDF array object.
| e_Boolean = _fsdk.PDFObject_e_Boolean
| PDF boolean object.
| e_Dictionary = _fsdk.PDFObject_e_Dictionary
| PDF dictionary object.
| e_InvalidType = _fsdk.PDFObject_e_InvalidType
| Invalid PDF object type.
| e_Name = _fsdk.PDFObject_e_Name
| PDF name object.
| e_Null = _fsdk.PDFObject_e_Null
| PDF null object.
| e_Number = _fsdk.PDFObject_e_Number
| PDF number object.
| e_Reference = _fsdk.PDFObject_e_Reference
| PDF reference object.
| e_Stream = _fsdk.PDFObject_e_Stream
| PDF stream object.
| e_String = _fsdk.PDFObject_e_String
| PDF string object.

## Detailed Description

A PDF array object is a one-dimensional collection of objects arranged sequentially. Unlike arrays in many other computer languages, elements in a PDF array can be any combination of numbers, strings, dictionaries, or any other objects, including other arrays. For more details, please refer to Section 3.2.5 "Array Objects" in <PDF Reference 1.7>.
Class FoxitPDFSDKPython2.PDFArray is derived from PDFObject and offers functions to create a new PDF array object and get/set elements of a PDF array object.

See also
  PDFObject

## Member Function Documentation

## ◆ AddBoolean()

def FoxitPDFSDKPython2.PDFArray.AddBoolean | ( |  | boolean_value | ) |

Add a boolean value to the end of current PDF array object.

Parameters

  [in] | boolean_value | A boolean value to current PDF array object.

Returns
  None.

## ◆ AddDateTime()

def FoxitPDFSDKPython2.PDFArray.AddDateTime | ( |  | date_time | ) |

Add a date time to the end of current PDF array object.

Parameters

  [in] | date_time | A date time to current PDF array object.

Returns
  None.

## ◆ AddElement()

def FoxitPDFSDKPython2.PDFArray.AddElement | ( |  | element | ) |

Add a PDF object to the end of current PDF array object.

Parameters

  [in] | element | A PDF object to be added to current PDF array object. It should not be null.

Returns
  None.

## ◆ AddFloat()

def FoxitPDFSDKPython2.PDFArray.AddFloat | ( |  | float_value | ) |

Add a float value to the end of current PDF array object.

Parameters

  [in] | float_value | A float value to current PDF array object.

Returns
  None.

## ◆ AddInteger()

def FoxitPDFSDKPython2.PDFArray.AddInteger | ( |  | integer_value | ) |

Add an integer value to the end of current PDF array object.

Parameters

  [in] | integer_value | An integer value to current PDF array object.

Returns
  None.

## ◆ AddMatrix()

def FoxitPDFSDKPython2.PDFArray.AddMatrix | ( |  | matrix | ) |

Add a matrix to the end of current PDF array object.

Parameters

  [in] | matrix | A matrix to current PDF array object.

Returns
  None.

## ◆ AddName()

def FoxitPDFSDKPython2.PDFArray.AddName | ( |  | name | ) |

Add a string as PDF name object to the end of current PDF array object.

Parameters

  [in] | name | A string to be added as PDF name object to current PDF array object. It should not be an empty string.

Returns
  None.

## ◆ AddRect()

def FoxitPDFSDKPython2.PDFArray.AddRect | ( |  | rect | ) |

Add a rectangle to the end of current PDF array object.

Parameters

  [in] | rect | A rectangle to current PDF array object.

Returns
  None.

## ◆ AddReference()

def FoxitPDFSDKPython2.PDFArray.AddReference | ( |  | pdf_object,
|  |  | document
| ) |  |

Set the reference object of an indirect PDF object (whose object number is always above 0) as value element.

If user wants to set direct PDF object (whose object number is always equal to 0) to an entry, please refer to function FoxitPDFSDKPython2.PDFDictionary.SetAt .

Parameters

  [in] | pdf_object | A PDFObject object which is an indirect PDF object (whose object number is always above 0) and will be set to the entry by a reference object which refers to this indirect object. It should not be null.
  [in] | document | A valid PDF document object, to which current PDF dictionary object belongs and in which parameter pdf_object is or will be an indirect object.

Returns
  None.

## ◆ AddString()

def FoxitPDFSDKPython2.PDFArray.AddString | ( |  | new_string | ) |

Add a string as PDF string object to the end of current PDF array object.

Parameters

  [in] | new_string | A string to be added as PDF string object to current PDF array object. It should not be an empty string.

Returns
  None.

## ◆ Create()

FoxitPDFSDKPython2.PDFArray.Create | ( |  | ) |
| static

Create a new array object.

Please call function FoxitPDFSDKPython2.PDFObject.Release to release the created object if it has not been added/set into PDF document or other PDF object and will not be used any more.

Returns
  A new PDFArray object. If there is any error, this function will return null.

## ◆ CreateFromMatrix()

FoxitPDFSDKPython2.PDFArray.CreateFromMatrix | ( |  | matrix | ) |
| static

Create a new array object for a matrix.

Please call function FoxitPDFSDKPython2.PDFObject.Release to release the created object if it has not been added/set into PDF document or other PDF object and will not be used any more.

Parameters

  [in] | matrix | A matrix.

Returns
  A new PDFArray object. If there is any error, this function will return null.

## ◆ CreateFromRect()

FoxitPDFSDKPython2.PDFArray.CreateFromRect | ( |  | rect | ) |
| static

Create a new array object for a rectangle.

Please call function FoxitPDFSDKPython2.PDFObject.Release to release the created object if it has not been added/set into PDF document or other PDF object and will not be used any more.

Parameters

  [in] | rect | A rectangle.

Returns
  A new PDFArray object. If there is any error, this function will return null.

## ◆ GetElement()

def FoxitPDFSDKPython2.PDFArray.GetElement | ( |  | index | ) |

Get a specified element by index.

Parameters

  [in] | index | Index of the element to be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.PDFArray.GetElementCount .

Returns
  A PDFObject object that receives the specified element. If there is any error, this function will return null.

## ◆ GetElementCount()

def FoxitPDFSDKPython2.PDFArray.GetElementCount | ( |  | ) |

Get the count of elements.

Returns
  Element count.

## ◆ InsertAt()

def FoxitPDFSDKPython2.PDFArray.InsertAt | ( |  | index,
|  |  | element
| ) |  |

Insert a PDF object to a specified position in current PDF array object.

Parameters

  [in] | index | Index of the position where parameter element will be inserted to. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.PDFArray.GetElementCount . If this is below 0 or count of elements in current PDF array is 0, parameter element is to be inserted to the first position. If this is larger than count of element in current PDF array, parameter element is to be added to the end.
  [in] | element | A PDF object to be inserted to current PDF array object. It should not be null.

Returns
  None.

## ◆ RemoveAt()

def FoxitPDFSDKPython2.PDFArray.RemoveAt | ( |  | index | ) |

Remove an element in a specified position (by index) from current PDF array object.

Parameters

  [in] | index | Index of the position where the element will be removed. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.PDFArray.GetElementCount .

Returns
  None.

## ◆ SetAt()

def FoxitPDFSDKPython2.PDFArray.SetAt | ( |  | index,
|  |  | element
| ) |  |

Set a new PDF object at a specified position in current PDF array object.

Parameters

  [in] | index | Index of the position where parameter element will be set to. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.PDFArray.GetElementCount .
  [in] | element | A PDF object to be set to current PDF array object. It should not be null.

Returns
  None.